Create benefiting person
curl --request POST \
--url https://dev.api.floris3.com/api/accounts/{accountId}/benefiting-persons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"firstname": "<string>",
"lastname": "<string>",
"street": "<string>",
"zip": "<string>",
"state": "<string>",
"city": "<string>",
"country": "<string>"
}
'const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstname: '<string>',
lastname: '<string>',
street: '<string>',
zip: '<string>',
state: '<string>',
city: '<string>',
country: '<string>'
})
};
fetch('https://dev.api.floris3.com/api/accounts/{accountId}/benefiting-persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.api.floris3.com/api/accounts/{accountId}/benefiting-persons"
payload = {
"firstname": "<string>",
"lastname": "<string>",
"street": "<string>",
"zip": "<string>",
"state": "<string>",
"city": "<string>",
"country": "<string>"
}
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstname": "<string>",
"lastname": "<string>",
"street": "<string>",
"zip": "<string>",
"state": "<string>",
"city": "<string>",
"country": "<string>"
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}Benefiting Persons
Create benefiting person
Add a beneficial owner record for a company account. The country field uses an ISO 3166-1 alpha-2 code (A2), e.g. DE, US.
POST
https://dev.api.floris3.com
/
api
/
accounts
/
{accountId}
/
benefiting-persons
Create benefiting person
Authorizations
Bearer access token from POST /api/auth
Headers
Unique key for safe retries. Max 128 characters.
Required string length:
1 - 128Path Parameters
accountId identifier
Body
application/json
Required string length:
1 - 100Required string length:
1 - 100Required string length:
1 - 200Required string length:
1 - 20Required string length:
1 - 100Required string length:
1 - 100ISO 3166-1 alpha-2 country code (A2), e.g. DE, US.
Required string length:
2
